%define contentdir /var/www

Summary:	Squid report generator per user/ip/name
Name:		sarg
Version:	2.3.2
Release:	1
License:	GPLv2+
Group:		Monitoring
URL:		http://sarg.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/sarg/%{name}-%{version}.tar.gz
Source1:	0sarg.daily
Source2:	0sarg.weekly
Source3:	0sarg.monthly
Source4:	sarg.conf.mandriva
Patch1:		sarg-2.2.3.1-lots-of-compiler-warnings.patch
Patch2:		sarg-2.2.3.1-rewind.patch
Patch3:		sarg-2.2.5-avx-fix_segfault.patch
Patch4:		sarg-2.2.5-avx-make-getword-better.patch
Patch5:		sarg-2.2.5-avx-make_useragent_prettier.patch
Patch6:		sarg-2.2.5-avx-too_small_font_buffer.patch
Patch7:		sarg-2.2.5-enlarge_report_buffers.patch
Patch8:		sarg-2.2.5-limit_sprintf.patch
Requires:	squid
Requires:	bash

%description
Sarg (was Sqmgrlog) generate reports per user/ip/name from SQUID log file.
The reports will be generated in HTML or email.

%prep

%setup -q
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1
#%patch6 -p1
#%patch7 -p1
#%patch8 -p0

%build
chmod a+x cfgaux configure include
chmod 744 images
%configure2_5x


mkdir -p %{buildroot}/%{_mandir}/man1
perl -p -i -e 's|/usr/share/man/man1|%{buildroot}/usr/share/man/man1|' %{buildroot}/%name-%version/Makefile
make

%install

mkdir -p %{buildroot}/{%_bindir,%_datadir/%name,%_sysconfdir/%name}
mkdir -p %{buildroot}%{contentdir}/html/squid
mkdir -p %{buildroot}%{contentdir}/html/squid/{daily,weekly,monthly}
%makeinstall_std
mkdir -p %{buildroot}/etc/cron.daily
install -m 0755 %{SOURCE1} %{buildroot}/etc/cron.daily/0%{name}
mkdir -p %{buildroot}/etc/cron.weekly
install -m 0755 %{SOURCE2} %{buildroot}/etc/cron.weekly/0%{name}
mkdir -p %{buildroot}/etc/cron.monthly
install -m 0755 %{SOURCE3} %{buildroot}/etc/cron.monthly/0%{name}
install -m 644 %{SOURCE4} %{buildroot}/%{_sysconfdir}/%{name}/%{name}.conf
mv %{buildroot}/%{_sysconfdir}/exclude_codes %{buildroot}/%{_sysconfdir}/%{name}/exclude_codes
mv %{buildroot}/%{_sysconfdir}/%{name}.conf %{buildroot}/%{_sysconfdir}/%{name}/%{name}.conf
mv %{buildroot}/%{_sysconfdir}/user_limit_block %{buildroot}/%{_sysconfdir}/%{name}/user_limit_block
mv %{buildroot}/%{_sysconfdir}/css.tpl %{buildroot}/%{_sysconfdir}/%{name}/css.tpl

%find_lang %name

%files -f %name.lang
%defattr(-,root,squid)
%doc CONTRIBUTORS DONATIONS ChangeLog
%{_mandir}/man1/*
%{_sysconfdir}/%{name}/*.tpl
%{_sysconfdir}/%{name}/user*
%attr(0755,root,squid) %{_bindir}/%{name}*
%attr(0755,root,squid) %dir %{_sysconfdir}/%{name}
%attr(0664,root,squid) %config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%attr(0755,root,squid) %dir %{contentdir}/html/squid
%attr(0755,root,squid) %dir %{contentdir}/html/squid/daily
%attr(0755,root,squid) %dir %{contentdir}/html/squid/weekly
%attr(0755,root,squid) %dir %{contentdir}/html/squid/monthly
%attr(0755,root,squid) %dir %{contentdir}/html/%{name}-php
%{_datadir}/%{name}
%{contentdir}/html/%{name}-php/
%config(noreplace) %attr(0754,root,squid) %{_sysconfdir}/cron.*/*
%config(noreplace) %attr(0644,root,squid) %{_sysconfdir}/%{name}/exclude_codes


%changelog
* Wed Dec 07 2011 Alexander Khrukin <akhrukin@mandriva.org> 2.3.2-1
+ Revision: 738578
- chmod 744 to images dir
- version update 2.3.2

* Sun Mar 20 2011 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 2.3.1-2
+ Revision: 647084
- Rebuild

* Fri Jan 21 2011 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 2.3.1-1
+ Revision: 632076
- 2.3.1

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.7.1-3mdv2011.0
+ Revision: 614807
- the mass rebuild of 2010.1 packages

* Tue Apr 06 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 2.2.7.1-2mdv2010.1
+ Revision: 532432
- Fixin #58604

* Fri Mar 19 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 2.2.7.1-1mdv2010.1
+ Revision: 525294
+ rebuild (emptylog)

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 2.2.5-7mdv2010.0
+ Revision: 442815
- rebuild

* Wed Mar 11 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.5-6mdv2009.1
+ Revision: 353865
- rediffed one patch
- sync patches with opensuse (P7,P8)

* Thu Oct 30 2008 Gustavo De Nardin <gustavodn@mandriva.com> 2.2.5-5mdv2009.1
+ Revision: 298703
- redirect output of sarg to /dev/null also in weekly cron run (#41309)

* Sat Aug 02 2008 Thierry Vignaud <tv@mandriva.org> 2.2.5-4mdv2009.0
+ Revision: 260491
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tv@mandriva.org> 2.2.5-3mdv2009.0
+ Revision: 251922
- rebuild

* Thu Mar 27 2008 Gustavo De Nardin <gustavodn@mandriva.com> 2.2.5-1mdv2008.1
+ Revision: 190779
- updated to 2008.0 main/updates v2.2.5 package, which is much better the current cooker/2008.1 v2.2.3.1 one

* Wed Mar 12 2008 Gustavo De Nardin <gustavodn@mandriva.com> 2.2.3.1-5mdv2008.1
+ Revision: 187171
- don't strip the binary at install, let rpmbuild make the debug package
- fixed License tag to follow policy

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.3.1-4mdv2008.1
+ Revision: 179491
- rebuild

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 20 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.3.1-3mdv2008.0
+ Revision: 91484
- added 3 patches from gentoo to stop it from segfaulting all the time
- added naat related fixes in the cron scripts

* Fri Jun 08 2007 Adam Williamson <awilliamson@mandriva.org> 2.2.3.1-2mdv2008.0
+ Revision: 37192
- clean buildroot in %%install

* Fri Jun 08 2007 Adam Williamson <awilliamson@mandriva.org> 2.2.3.1-1mdv2008.0
+ Revision: 37188
- rebuild for new era
- clean %%files
- install to %%_datadir since almost everything is static data, not config files
- update and actually use custom config file
- drop patches (no longer needed)
- clean spec
- new release 2.2.3.1

